Bug 1199623 (CVE-2022-30767)

Summary: VUL-0: CVE-2022-30767: u-boot-rpi3,u-boot: buffer overflow in u-boot due to incorrect fix for CVE-2019-14196
Product: [Novell Products] SUSE Security Incidents Reporter: Hu <cathy.hu>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: afaerber, mbrugger, security-team
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/331895/
Whiteboard: CVSSv3.1:SUSE:CVE-2022-30767:6.3:(AV:A/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Hu 2022-05-17 12:21:27 UTC
CVE-2022-30767

nfs_lookup_reply in net/nfs.c in Das U-Boot through 2022.04 (and through 2022.07-rc2) has an unbounded memcpy with a failed length check, leading to a buffer overflow. NOTE: this issue exists because of an incorrect fix for CVE-2019-14196.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-30767
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30767
https://github.com/u-boot/u-boot/commit/5d14ee4e53a81055d34ba280cb8fd90330f22a96
http://www.cvedetails.com/cve/CVE-2022-30767/
https://lists.denx.de/pipermail/u-boot/2022-May/483952.html
https://securitylab.github.com/research/uboot-rce-nfs-vulnerability/
Comment 1 Hu 2022-05-17 14:15:48 UTC
Affected:
- SUSE:SLE-15-SP1:Update/u-boot         2019.01
- SUSE:SLE-15-SP1:Update/u-boot-rpi3    2019.01
- SUSE:SLE-12-SP4:Update/u-boot-rpi3    2018.03
- SUSE:SLE-12-SP4:Update/u-boot         2018.03
- SUSE:SLE-12-SP5:Update/u-boot-rpi3    2019.01
- SUSE:SLE-12-SP5:Update/u-boot         2019.01
- SUSE:SLE-15:Update/u-boot             2018.03
- SUSE:SLE-15:Update/u-boot-rpi3        2018.03
- SUSE:SLE-15-SP3:Update/u-boot         2021.01
- SUSE:SLE-15-SP2:Update/u-boot         2020.01
- SUSE:SLE-15-SP4:Update/u-boot         2021.10

Not Affected:
- SUSE:SLE-12-SP3:Update/u-boot-rpi3    2016.07
- SUSE:SLE-12-SP3:Update/u-boot         2016.07

No upstream patch available yet.
Comment 2 Matthias Brugger 2022-05-19 11:30:37 UTC
Thanks Hu for coming up with the list.
As security score is 6.3 < 7+ for now we/I only have to deal with:
SLE12-SP5
SLE15-SP3
SLE15-SP4
Comment 3 Matthias Brugger 2022-05-27 14:21:04 UTC
Fixed now upstream through:
bdbf7a05e2 ("net: nfs: Fix CVE-2022-30767 (old CVE-2019-14196)")
Comment 5 Matthias Brugger 2022-05-30 09:26:04 UTC
All fixes accepted.
Comment 7 Swamp Workflow Management 2022-06-13 13:16:47 UTC
SUSE-SU-2022:2053-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1199623,1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30767,CVE-2022-30790
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    u-boot-2021.01-150300.7.12.1, u-boot-avnetultra96rev1-2021.01-150300.7.12.1, u-boot-bananapim64-2021.01-150300.7.12.1, u-boot-dragonboard410c-2021.01-150300.7.12.1, u-boot-dragonboard820c-2021.01-150300.7.12.1, u-boot-evb-rk3399-2021.01-150300.7.12.1, u-boot-firefly-rk3399-2021.01-150300.7.12.1, u-boot-geekbox-2021.01-150300.7.12.1, u-boot-hikey-2021.01-150300.7.12.1, u-boot-khadas-vim-2021.01-150300.7.12.1, u-boot-khadas-vim2-2021.01-150300.7.12.1, u-boot-libretech-ac-2021.01-150300.7.12.1, u-boot-libretech-cc-2021.01-150300.7.12.1, u-boot-ls1012afrdmqspi-2021.01-150300.7.12.1, u-boot-mvebudb-88f3720-2021.01-150300.7.12.1, u-boot-mvebudbarmada8k-2021.01-150300.7.12.1, u-boot-mvebuespressobin-88f3720-2021.01-150300.7.12.1, u-boot-mvebumcbin-88f8040-2021.01-150300.7.12.1, u-boot-nanopia64-2021.01-150300.7.12.1, u-boot-odroid-c2-2021.01-150300.7.12.1, u-boot-odroid-c4-2021.01-150300.7.12.1, u-boot-odroid-n2-2021.01-150300.7.12.1, u-boot-orangepipc2-2021.01-150300.7.12.1, u-boot-p2371-2180-2021.01-150300.7.12.1, u-boot-p2771-0000-500-2021.01-150300.7.12.1, u-boot-p3450-0000-2021.01-150300.7.12.1, u-boot-pine64plus-2021.01-150300.7.12.1, u-boot-pinebook-2021.01-150300.7.12.1, u-boot-pinebook-pro-rk3399-2021.01-150300.7.12.1, u-boot-pineh64-2021.01-150300.7.12.1, u-boot-pinephone-2021.01-150300.7.12.1, u-boot-poplar-2021.01-150300.7.12.1, u-boot-rock-pi-4-rk3399-2021.01-150300.7.12.1, u-boot-rock64-rk3328-2021.01-150300.7.12.1, u-boot-rock960-rk3399-2021.01-150300.7.12.1, u-boot-rockpro64-rk3399-2021.01-150300.7.12.1, u-boot-rpi3-2021.01-150300.7.12.1, u-boot-rpi4-2021.01-150300.7.12.1, u-boot-rpiarm64-2021.01-150300.7.12.1, u-boot-xilinxzynqmpvirt-2021.01-150300.7.12.1, u-boot-xilinxzynqmpzcu102rev10-2021.01-150300.7.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    u-boot-2021.01-150300.7.12.1, u-boot-rpiarm64-2021.01-150300.7.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-06-13 13:17:27 UTC
SUSE-SU-2022:2052-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1199623,1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30767,CVE-2022-30790
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    u-boot-2019.01-5.8.1, u-boot-rpi3-2019.01-5.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2022-06-13 13:19:27 UTC
SUSE-SU-2022:2054-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1199623,1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30767,CVE-2022-30790
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    u-boot-2021.10-150400.4.5.1, u-boot-avnetultra96rev1-2021.10-150400.4.5.1, u-boot-bananapim64-2021.10-150400.4.5.1, u-boot-dragonboard410c-2021.10-150400.4.5.1, u-boot-dragonboard820c-2021.10-150400.4.5.1, u-boot-evb-rk3399-2021.10-150400.4.5.1, u-boot-firefly-rk3399-2021.10-150400.4.5.1, u-boot-geekbox-2021.10-150400.4.5.1, u-boot-hikey-2021.10-150400.4.5.1, u-boot-khadas-vim-2021.10-150400.4.5.1, u-boot-khadas-vim2-2021.10-150400.4.5.1, u-boot-libretech-ac-2021.10-150400.4.5.1, u-boot-libretech-cc-2021.10-150400.4.5.1, u-boot-ls1012afrdmqspi-2021.10-150400.4.5.1, u-boot-mvebudb-88f3720-2021.10-150400.4.5.1, u-boot-mvebudbarmada8k-2021.10-150400.4.5.1, u-boot-mvebuespressobin-88f3720-2021.10-150400.4.5.1, u-boot-mvebumcbin-88f8040-2021.10-150400.4.5.1, u-boot-nanopia64-2021.10-150400.4.5.1, u-boot-odroid-c2-2021.10-150400.4.5.1, u-boot-odroid-c4-2021.10-150400.4.5.1, u-boot-odroid-n2-2021.10-150400.4.5.1, u-boot-orangepipc2-2021.10-150400.4.5.1, u-boot-p2371-2180-2021.10-150400.4.5.1, u-boot-p2771-0000-500-2021.10-150400.4.5.1, u-boot-p3450-0000-2021.10-150400.4.5.1, u-boot-pine64plus-2021.10-150400.4.5.1, u-boot-pinebook-2021.10-150400.4.5.1, u-boot-pinebook-pro-rk3399-2021.10-150400.4.5.1, u-boot-pineh64-2021.10-150400.4.5.1, u-boot-pinephone-2021.10-150400.4.5.1, u-boot-poplar-2021.10-150400.4.5.1, u-boot-rock-pi-4-rk3399-2021.10-150400.4.5.1, u-boot-rock-pi-n10-rk3399pro-2021.10-150400.4.5.1, u-boot-rock64-rk3328-2021.10-150400.4.5.1, u-boot-rock960-rk3399-2021.10-150400.4.5.1, u-boot-rockpro64-rk3399-2021.10-150400.4.5.1, u-boot-rpi3-2021.10-150400.4.5.1, u-boot-rpi4-2021.10-150400.4.5.1, u-boot-rpiarm64-2021.10-150400.4.5.1, u-boot-xilinxzynqmpvirt-2021.10-150400.4.5.1, u-boot-xilinxzynqmpzcu102rev10-2021.10-150400.4.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    u-boot-2021.10-150400.4.5.1, u-boot-rpiarm64-2021.10-150400.4.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.